<!--
Citumpe.com's chart helper library example tutorial for Open Flash Chart 2 

Copyright (c) 2009, Shaun Henry. All rights reserved. 
 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions 
 are met: 
 1. Redistributions of source code must retain the above copyright 
 notice, this list of conditions and the following disclaimer. 
 2. Redistributions in binary form must reproduce the above copyright 
 notice, this list of conditions and the following disclaimer in the 
 documentation and/or other materials provided with the distribution. 
 3. The name of the author may not be used to endorse or promote
 products derived from this software without specific prior
 written permission.  
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR `AS IS' AND ANY EXPRESS
 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  
*/
-->

<html>
<head>
  <title>Citumpe.com OFC2 helper library: OFC2 made easy...</title>
  <script type="text/javascript" src="./ofc/js/json/json2.js"></script>
  <script type="text/javascript" src="./ofc/js/swfobject.js"></script>
</head>
<body>


<?php
include_once "chartFunctions.php";

$baseTitle = "Citumpe.com OFC2 helper library: OFC2 made easy...\n";

//create the data, label and tooltip arrays...
$dataArray = array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10);
$dataLabelArray = array("one", "two", "three", "four", "five", "six", "seven", "eight", "nine", "ten");
$tooltipArray = array("tt-one", "tt-two", "tt-three", "tt-four", "tt-five", "tt-six", "tt-seven", "tt-eight", "tt-nine", "tt-ten");

//set the size of the chart
$xChartSize = 400;
$yChartSize = 400;

//generate and output the first chart...
$referenceName = "simpleBarChart_horLabels";
$title = $baseTitle."horizontal labels";
$verticalXAxisLabels = false;
print getSimpleBarChart($referenceName, $title, $dataArray, $dataLabelArray, $tooltipArray, $xChartSize, $yChartSize, $verticalXAxisLabels);


//generate and output the second chart...
$referenceName = "simpleBarChart_verLabels";
$title = $baseTitle."vertical labels";
$verticalXAxisLabels = true;
print getSimpleBarChart($referenceName, $title, $dataArray, $dataLabelArray, $tooltipArray, $xChartSize, $yChartSize, $verticalXAxisLabels);


//generate and output the pie chart...
$referenceName = "simplePieChart";
$title = $baseTitle;
print getSimplePieChart($referenceName, $title, $dataArray, $dataLabelArray, $xChartSize, $yChartSize);
?>

</body>
</html>